## visad
Class Gridded1DSet

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Set
                  visad.SimpleSet
                      visad.SampledSet
                          visad.GriddedSet
                              visad.Gridded1DSet

All Implemented Interfaces:
  Cloneable, Data, Gridded1DSetIface, GriddedSetIface, SampledSetIface, Serializable, Set1DIface, SetIface, SimpleSetIface, Thing

Direct Known Subclasses:
  Gridded1DDoubleSet, Linear1DSet

public class Gridded1DSet
extends GriddedSet
implements Gridded1DSetIface

Gridded1DSet represents a finite set of samples of R.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
`ThingImpl.RemotePair`

Field Summary
`(package private) boolean` `Ascending` Whether this set is ascending or descending
`(package private) float` `HiX`
`(package private) int` `LengthX`
`(package private) float` `LowX`

Fields inherited from class visad.GriddedSet
`EPS, Lengths, Pos`

Fields inherited from class visad.SampledSet
`Hi, Low, Samples`

Fields inherited from class visad.SimpleSet
`ManifoldDimension`

Fields inherited from class visad.Set
`DomainCoordinateSystem, DomainDimension, hashCode, hashCodeSet, Length, SetErrors, SetUnits`

Fields inherited from class visad.DataImpl
`Type`

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`Gridded1DSet(MathType type, float[][] samples, int lengthX)` Constructs a 1-D sorted sequence with no regular interval.
`Gridded1DSet(MathType type, float[][] samples, int lengthX, CoordinateSystem coord_sys, Unit[] units, ErrorEstimate[] errors)` Constructs a 1-D sorted sequence with no regular interval.
`Gridded1DSet(MathType type, float[][] samples, int lengthX, CoordinateSystem coord_sys, Unit[] units, ErrorEstimate[] errors, boolean copy)` Constructs a 1-D sorted sequence with no regular interval.

Method Summary
`Object` `cloneButType(MathType type)` Clones this set -- changing the MathType.
`static Gridded1DSet` `create(MathType type, float[] samples, CoordinateSystem coordSys, Unit unit, ErrorEstimate error)` Returns an instance of this class.
`float` `getHiX()` Returns the maximum value in the set.
`int` `getLengthX()`
`float` `getLowX()` Returns the minimum value in the set.
`float[][]` `gridToValue(float[][] grid)` transform an array of non-integer grid coordinates to an array of values in R^DomainDimension
`float[][]` `indexToValue(int[] index)` convert an array of 1-D indices to an array of values in R^DomainDimension
`boolean` `isAscending()`
`static void` `main(String[] args)` Simple DataImpl test, invoked as 'java visad.DataImpl'.
`(package private) static int[]` `make_lengths(int lengthX)`
`float[][]` `valueToGrid(float[][] value)` transform an array of values in R^DomainDimension to an array of non-integer grid coordinates
`int[]` `valueToIndex(float[][] value)` Convert an array of values in R^DomainDimension to an array of 1-D indices.

Methods inherited from class visad.GriddedSet
`create, create, create, create, equals, getLength, getLengths, getNeighbors, getNeighbors, getWedge, hashCode, longString, makeSpatial, valueToInterp`

Methods inherited from class visad.SampledSet
`clone, computeRanges, computeRanges, cram_missing, cram_samples, getHi, getLow, getNeighbors, getSamples, getSamples, init_samples, init_samples, isMissing, make1DGeometry, make3DGeometry, makePointGeometry, setGeometryArray, setGeometryArray`

Methods inherited from class visad.SimpleSet
`getManifoldDimension, setAnimationSampling`

Methods inherited from class visad.Set

`__getitem__, __len__, addEqualsCache, addNotEqualsCache, adjustType, copyDoubles, copyFloats, doubleToFloat, doubleToIndex, equalUnitAndCS, floatToDouble, getCoordinateSystem, getDimension, getDimension, getDoubles, getDoubles, getLength, getSetErrors, getSetUnits, indexToDouble, longString, make2DGeometry, makeIsoLines, makeIsoSurface, merge1DSets, testEqualsCache, testNotEqualsCache, unary, unitAndCSHashCode`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeReferenceRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, invertOp, local, log, log, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, setParent, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, toString, unary`

Methods inherited from class visad.ThingImpl
`adaptedAddReference, adaptedRemoveReference, addReference, removeReference`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.GriddedSetIface
`getLength, getLengths`

Methods inherited from interface visad.SampledSetIface
`getHi, getLow`

Methods inherited from interface visad.SimpleSetIface
`valueToInterp`

Methods inherited from interface visad.SetIface
`cram_missing, doubleToIndex, equals, equalUnitAndCS, getCoordinateSystem, getDimension, getDoubles, getDoubles, getLength, getManifoldDimension, getNeighbors, getNeighbors, getNeighbors, getSamples, getSamples, getSetErrors, getSetUnits, getWedge, indexToDouble, make1DGeometry, make2DGeometry, make3DGeometry, makeIsoLines, makeIsoSurface, makePointGeometry, makeSpatial, merge1DSets`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, adjustSamplingError, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, isMissing, local, log, log, longString, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary, unary`

Methods inherited from interface visad.Thing
`addReference, removeReference`

Field Detail

### LengthX

    int LengthX

### LowX

    float LowX

### HiX

    float HiX

### Ascending

    boolean Ascending

  Whether this set is ascending or descending

Constructor Detail

### Gridded1DSet

    public Gridded1DSet(MathType type,
                        float[][] samples,
                        int lengthX)
                 throws VisADException

  Constructs a 1-D sorted sequence with no regular interval. The coordinate system and units are the default from the set type. The error estimate is null.

Parameters:
  `type` - The type of the set. Must be a `RealType` or a single-component `RealTupleType` or `SetType`.
  `samples` - The values in the set. `samples[0][i]` is the value of the ith sample point. Must be sorted (either increasing or decreasing). May be `null`.
  `lengthX` - The number of samples.

### Gridded1DSet

    public Gridded1DSet(MathType type,
                        float[][] samples,
                        int lengthX,
                        CoordinateSystem coord_sys,
                        Unit[] units,
                        ErrorEstimate[] errors)
                 throws VisADException

  Constructs a 1-D sorted sequence with no regular interval.

Parameters:
  `type` - The type of the set. Must be a `RealType` or a single-component `RealTupleType` or `SetType`.
  `samples` - The values in the set. `samples[0][i]` is the value of the ith sample point. Must be sorted (either increasing or decreasing). May be `null`.
  `lengthX` - The number of samples.
  `coord_sys` - The coordinate system for this, particular, set. Must be compatible with the default coordinate system. May be `null`.
  `units` - The units for the tuple components. Only `units[0]` is meaningfull. Must be compatible with the default unit. May be `null`.
  `errors` - The error estimates of the tuple components. Only `errors[0]` is meaningful. May be `null`.

### Gridded1DSet

    public Gridded1DSet(MathType type,
                        float[][] samples,
                        int lengthX,
                        CoordinateSystem coord_sys,
                        Unit[] units,
                        ErrorEstimate[] errors,
                        boolean copy)
                 throws VisADException

  Constructs a 1-D sorted sequence with no regular interval.

Parameters:
  `type` - The type of the set. Must be a `RealType` or a single-component `RealTupleType` or `SetType`.
  `samples` - The values in the set. `samples[0][i]` is the value of the ith sample point. Must be sorted (either increasing or decreasing). May be `null`.
  `lengthX` - The number of samples.
  `coord_sys` - The coordinate system for this, particular, set. Must be compatible with the default coordinate system. May be `null`.
  `units` - The units for the tuple components. Only `units[0]` is meaningfull. Must be compatible with the default unit. May be `null`.
  `errors` - The error estimates of the tuple components. Only `errors[0]` is meaningful. May be `null`.
  `copy` - Whether or not to copy the values array.

Method Detail

### create

    public static Gridded1DSet create(MathType type,
                                      float[] samples,
                                      CoordinateSystem coordSys,
                                      Unit unit,
                                      ErrorEstimate error)
                               throws VisADException

  Returns an instance of this class. This method uses a weak cache of previously-created instances to reduce memory usage.

  Parameters:
    `type` - The type of the set. Must be a `RealType` or a single-component `RealTupleType` or `SetType`.
    `samples` - The values in the set. `samples[i]` is the value of the ith sample point. Must be sorted (either increasing or decreasing). May be `null`. The array is not copied, so either don't modify it or clone it first.
    `unit` - The unit for the samples. Must be compatible with the default unit. May be `null`.
    `error` - The error estimate of the samples. May be `null`.
  Throws:
    `VisADException`

### make_lengths

    static int[] make_lengths(int lengthX)

### indexToValue

    public float[][] indexToValue(int[] index)
                           throws VisADException

  convert an array of 1-D indices to an array of values in R^DomainDimension

  Specified by:
    `indexToValue` in interface `SetIface`
  Overrides:
    `indexToValue` in class `GriddedSet`
  Throws:
    `VisADException`

### valueToIndex

    public int[] valueToIndex(float[][] value)
                       throws VisADException

  Convert an array of values in R^DomainDimension to an array of 1-D indices. This Gridded1DSet must have at least two points in the set.

  Specified by:
    `valueToIndex` in interface `SetIface`
  Overrides:
    `valueToIndex` in class `GriddedSet`
  Parameters:
    `value` - An array of coordinates. `value[i][j]` contains the `i`th component of the `j`th point.
  Returns:
    Indices of nearest points. RETURN_VALUE`[i]` will contain the index of the point in the set closest to `value[][i]` or `-1` if `value[][i]` lies outside the set.
  Throws:
    `VisADException`

### gridToValue

    public float[][] gridToValue(float[][] grid)
                          throws VisADException

  transform an array of non-integer grid coordinates to an array of values in R^DomainDimension

  Specified by:
    `gridToValue` in interface `GriddedSetIface`
  Overrides:
    `gridToValue` in class `GriddedSet`
  Throws:
    `VisADException`

### valueToGrid

    public float[][] valueToGrid(float[][] value)
                          throws VisADException

  transform an array of values in R^DomainDimension to an array of non-integer grid coordinates

  Specified by:
    `valueToGrid` in interface `GriddedSetIface`
  Overrides:
    `valueToGrid` in class `GriddedSet`
  Throws:
    `VisADException`

### getLengthX

    public int getLengthX()

### getLowX

    public float getLowX()

  Description copied from interface: `Set1DIface`
  Returns the minimum value in the set.

  Specified by:
    `getLowX` in interface `Set1DIface`
  Returns:
    The lowest value in the set.

### getHiX

    public float getHiX()

  Description copied from interface: `Set1DIface`
  Returns the maximum value in the set.

  Specified by:
    `getHiX` in interface `Set1DIface`
  Returns:
    The highest value in the set.

### isAscending

    public boolean isAscending()

### cloneButType

    public Object cloneButType(MathType type)
                        throws VisADException

  Description copied from interface: `SetIface`
  Clones this set -- changing the MathType.

  Specified by:
    `cloneButType` in interface `SetIface`
  Overrides:
    `cloneButType` in class `GriddedSet`
  Throws:
    `VisADException`

### main

    public static void main(String[] args)
                     throws VisADException

  Description copied from class: `DataImpl`
  Simple DataImpl test, invoked as 'java visad.DataImpl'.

  Throws:
    `VisADException`